//DirectInput Header
//All framework code dealing with directinput will go here (keyboard, mouse, joysticks, etc.)
//created 3/26/06 by Adam Sepanski

#ifndef _DXINPUT_H
#define _DXINPUT_H 1

//Includes
#include <dinput.h>

//function prototypes
int Init_DirectInput(HWND);
int Init_Keyboard(HWND);
void Poll_Keyboard();
int Key_Down(int);
void Kill_Keyboard();
void Poll_Mouse();
int Init_Mouse(HWND);
int Mouse_Button(int);
int Mouse_X();
int Mouse_Y();
void Kill_Mouse();

//directinput objects
extern LPDIRECTINPUT8 dinput;
extern LPDIRECTINPUTDEVICE8 dimouse;
extern LPDIRECTINPUTDEVICE8 dikeyboard;
extern DIMOUSESTATE mouse_state;

#endif